#!/usr/bin/env bash

# This script is untested, use at your own risk.

# Install some more software, mostly monitoring tools. sensors and smartcl -a can provide monitoring data. lshw provides hardware info.
apt install screen curl htop iotop speedtest-cli smartmontools lm-sensors lshw #sysstat 

# Download templates for Ubuntu Server 24.04.2 LTS / Proxmox Ubuntu Cloud image 24.04.2 for containers.

pveam update
pveam download local ubuntu-24.04-standard_24.04-2_amd64.tar.zst

# Downloads the Ubuntu Server LTS ISO for VMs.

cd /var/lib/vz/template/iso/
wget https://releases.ubuntu.com/24.04.2/ubuntu-24.04.2-live-server-amd64.iso
